Commit b763c534 authored by Jakub Jirutka's avatar Jakub Jirutka

main/lua-ldap: upgrade to 1.2.3

parent 42bca719
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=lua-ldap
pkgver=1.1.0
pkgrel=2
_pkgname=lualdap
pkgver=1.2.3
pkgrel=0
pkgdesc="Lua binding to ldap"
url="http://www.keplerproject.org/lualdap/"
url="https://github.com/bdellegrazie/lualdap"
arch="all"
license="MIT"
depends=""
depends_dev=""
makedepends="$depends_dev lua-dev openldap-dev"
install=""
subpackages=""
source="http://files.luaforge.net/releases/lualdap/lualdap/LuaLDAP$pkgver/lualdap-$pkgver.tar.gz"
makedepends="lua-dev openldap-dev"
source="$_pkgname-$pkgver.tar.gz::https://github.com/bdellegrazie/$_pkgname/archive/v$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
_builddir="$srcdir"/lualdap-$pkgver
prepare() {
local i
cd "$_builddir"
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
default_prepare || return 1
cd "$builddir"
sed -i -e '/LUA_VERSION_NUM/d' config
}
build() {
cd "$_builddir"
cd "$builddir"
make OPENLDAP_LIB="-lldap -llber" \
WARN="-DLDAP_DEPRECATED -fPIC -ansi $CFLAGS" || return 1
}
package() {
cd "$_builddir"
cd "$builddir"
local install_cmod=$(pkg-config --variable=INSTALL_CMOD lua)
make install LUA_LIBDIR="$pkgdir"/$install_cmod
}
md5sums="5e104520c3f1333f38817a9fa1e76681 lualdap-1.1.0.tar.gz"
md5sums="a9eda2f55640a8c816b4d4c6c3d7ef1b lualdap-1.2.3.tar.gz"
sha256sums="efde10853429fe1c1c208604a352bee395ac897d407f9d7bf9efca62cff02f67 lualdap-1.2.3.tar.gz"
sha512sums="51934d18d1ee97a0130545e657497e51542eef97c338df14e7171f94a2d6395fceb00313e1e64e46e6cdeedf85a17c63284595fdf6fbce8b7abce29d28f1b4a7 lualdap-1.2.3.tar.gz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment